# Filing History

### Output

<table><thead><tr><th>Attribute</th><th width="141">Type</th><th>Description</th><th>Additional</th></tr></thead><tbody><tr><td>etag</td><td>string</td><td>The ETag of the resource.</td><td></td></tr><tr><td>filingHistoryStatus</td><td>string</td><td>The status of this filing history.</td><td><p>Possible values are:</p><ul><li><code>filing-history-available</code></li></ul></td></tr><tr><td><a href="#filing-history-item">items</a></td><td>array&#x3C;object></td><td>The filing history items.</td><td></td></tr><tr><td>kind</td><td>string</td><td>Indicates this resource is a filing history.</td><td><p>Possible values are:</p><ul><li><code>filing-history</code></li></ul></td></tr><tr><td>totalCount</td><td>number</td><td>The total number of filing history items for this company.</td><td></td></tr></tbody></table>

### **Filing History Item**

| Attribute                               | Type           | Description                                                        | Additional                                                                                                                                                                                                                                                                                                                                                                                             |
| --------------------------------------- | -------------- | ------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [annotations](#annotation)              | array\<object> | Annotations for the filing.                                        | Optional                                                                                                                                                                                                                                                                                                                                                                                               |
| [associatedFilings](#associated-filing) | array\<object> | Any filings associated with the current item.                      | Optional                                                                                                                                                                                                                                                                                                                                                                                               |
| barcode                                 | string         | The barcode of the document.                                       | Optional                                                                                                                                                                                                                                                                                                                                                                                               |
| category                                | string         | The category of the document filed.                                | <p>Possible values are:</p><ul><li><code>accounts</code></li><li><code>address</code></li><li><code>annual-return</code></li><li><code>capital</code></li><li><code>change-of-name</code></li><li><code>incorporation</code></li><li><code>liquidation</code></li><li><code>miscellaneous</code></li><li><code>mortgage</code></li><li><code>officers</code></li><li><code>resolution</code></li></ul> |
| date                                    | date           | The date the filing was processed.                                 |                                                                                                                                                                                                                                                                                                                                                                                                        |
| description                             | string         | A description of the filing.                                       |                                                                                                                                                                                                                                                                                                                                                                                                        |
| [links](#links)                         | object         | Links to other resources associated with this filing history item. | Optional                                                                                                                                                                                                                                                                                                                                                                                               |
| pages                                   | number         | Number of pages within the PDF document (links.document\_metadata) | Optional                                                                                                                                                                                                                                                                                                                                                                                               |
| paperFiled                              | boolean        | If true, indicates this is a paper filing.                         | Optional                                                                                                                                                                                                                                                                                                                                                                                               |
| [resolutions](#resolution)              | array\<object> | Resolutions for the filing.                                        | Optional                                                                                                                                                                                                                                                                                                                                                                                               |
| subcategory                             | string         | The sub-category of the document filed.                            | <p>Possible values are:</p><ul><li><code>resolution</code></li></ul>                                                                                                                                                                                                                                                                                                                                   |
| transactionId                           | string         | The transaction ID of the filing.                                  |                                                                                                                                                                                                                                                                                                                                                                                                        |
| type                                    | string         | The type of filing.                                                |                                                                                                                                                                                                                                                                                                                                                                                                        |

### **Annotation**

| Attribute   | Type   | Description                        | Additional |
| ----------- | ------ | ---------------------------------- | ---------- |
| annotation  | string | The annotation text.               |            |
| date        | date   | The date the annotation was added. |            |
| description | string | A description of the annotation.   |            |

### **Associated Filing**

| Attribute   | Type   | Description                                   | Additional |
| ----------- | ------ | --------------------------------------------- | ---------- |
| date        | date   | The date the associated filing was processed. |            |
| description | string | A description of the associated filing.       |            |
| type        | string | The type of the associated filing.            |            |

### **Resolution**

| Attribute   | Type   | Description                             | Additional                                                              |
| ----------- | ------ | --------------------------------------- | ----------------------------------------------------------------------- |
| category    | string | The category of the resolution filed.   | <p>Possible values are:</p><ul><li><code>miscellaneous</code></li></ul> |
| description | string | A description of the associated filing. |                                                                         |
| documentId  | string | The document id of the resolution.      | Optional                                                                |
| receiveDate | date   | The date the resolution was processed.  |                                                                         |
| subcategory | string | The sub-category of the document filed. | <p>Possible values are:</p><ul><li><code>resolution</code></li></ul>    |
| type        | string | The type of the associated filing.      |                                                                         |

### Links

| Attribute        | Type   | Description                                                             | Additional |
| ---------------- | ------ | ----------------------------------------------------------------------- | ---------- |
| documentMetadata | string | Link to the document metadata associated with this filing history item. | Optional   |
| self             | string | Link to this filing history item.                                       | Optional   |

### Example

```
{
    "etag": "abc123",
    "filingHistoryStatus": "Accepted",
    "items": [
        {
            "annotations": [
                {
                    "annotation": "This is an annotation.",
                    "date": "2023-01-15",
                    "description": "Annotation description"
                }
            ],
            "associatedFilings": [
                {
                    "date": "2023-01-16",
                    "description": "Associated filing description",
                    "type": "Associated Filing Type"
                }
            ],
            "barcode": "123456789",
            "category": "Annual Return",
            "date": "2023-01-14",
            "description": "Filing history description",
            "links": {
                "documentMetadata": "https://example.com/document/123456789",
                "self": "https://example.com/filing/987654321"
            },
            "pages": 5,
            "paperFiled": false,
            "resolutions": [
                {
                    "category": "Ordinary resolution",
                    "description": "Resolution description",
                    "documentId": "456789012",
                    "receiveDate": "2023-01-13",
                    "subcategory": "Shareholder resolution",
                    "type": "Resolution Type"
                }
            ],
            "subcategory": "Annual Return Subcategory",
            "transactionId": "789012345",
            "type": "Filing Type"
        }
    ],
    "itemsPerPage": 10,
    "kind": "response",
    "startIndex": 0,
    "totalCount": 50
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/companies-house/public-data-api/filing-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
